Nov 23 AT 2:44 PM Taylor Wimberly 61 Comments

Google Maps Navigation now available for Android 1.6 devices

The following news will either make you extremely happy or frustrated with your carrier. Google Maps Navigation, that first launched with the Verizon Motorola Droid and Android 2.0, is now available for Android 1.6 devices. The application is free and can be download from the Android Market.

Depending on which phone you have, you might not be able to access this exciting new application. Many carriers still have phones with Android 1.5. We are working on a big report concerning first generation phones and when they might receive Android 2.0, but I am still waiting to hear back from certain carriers.

Android 1.6 currently supports voice recognition, but it appears Google has remove the “navigate to” voice commands. I’m not sure why this feature was excluded unless it was part of some exclusive deal Google made with Verizon.

The follow devices are still stuck on the outdated Android 1.5 and will be unable to use Google Maps navigation:

  • Archos MIDs
  • Sprint HTC Hero
  • Sprint Samsung Moment
  • T-Mobile Motorola Cliq
  • T-Mobile Samsung Behold II
  • Verizon HTC Droid Eris

From the Official Google Mobile blog:

If you have a phone running Android 1.6, you can download an updated version of Google Maps from Android Market to use Navigation today. Google Maps Navigation is in beta and is currently available in the United States. Some features of Android 2.0 are not available on Android 1.6, for example, the ability to use the “navigate to” voice command as shown in our demo video. However, you can still create a shortcut that will allow you to launch Navigation and start getting directions to a specific place from your current location with just a single touch from your home screen. For example, you can create a “Home” shortcut to quickly navigate home, no matter where you are. Just use the “Add” menu item from the home screen, then choose “Shortcuts”, then “Directions.”

[Thank you Kote for the tip]

Taylor is the founder of Android and Me. He resides in Dallas and carries the Samsung Galaxy S 4 and HTC One as his daily devices. Ask him a question on Twitter or Google+ and he is likely to respond. | Ethics statement

    Most Tweeted This Week

  • nosaturn

    i just installed it over my CyanogynMod build with hacked Navigation and it’s working. I suppose i should restore the original build.prop and build.trout.prop files, huh?

  • benderunit9000


    was wondering when they were going to put it on the market. :-D

  • Eric Weiss

    Just installed it and it runs great on my G1. Bye bye to my big bulky Tomtom unit!

  • http://N/A owen

    it wont work on my htc hero 1.6 FAIL!

    • andy

      Unless you rooted your Hero, it’s only running 1.5, not 1.6.

    • archboy69

      Don’t people read? Only for android 1.6 and for US…yet people are complaining it doesn’t work. Yes, it does work and repeat last sentence.

  • Clark Wimberly

    now if only my Cliq would run 1.6…..

    • nEx.Software

      LOL, ain’t that the truth…

  • Ivaylo

    I can’t get it to install on my G1 with latest cyanogenmod: I get “Package file was not signed correctly” does anybody have the same issue? The hacked version from the XDA developers works great though. Any ideas?

    • Joey

      Ditto on the package file signing error. I’m running Cyanogen, which is a bit old, so will try updating to see if that helps.

      • permafrost91

        Running CM 4.2.5 (latest stable) and am getting the “not signed correctly” error as well.

        • Ashwin

          I am getting the same error message on my G1 with Cynamod 4.2.5

          • toby

            Try uninstalling the hacked one first.

          • Ivaylo

            OK, here is how I got mine to work. I had the hacked version of Maps installed and when I tried installing the new Maps from the Market it failed. When I downloaded the application and tried to install it with Linda file manager from my sdcard it failed again. So this is how I got it to work. This is for US only. if you want to use google maps with Navi outside of the US and you have a rooted phone you are stuck with an older version with navigation but it is still something, you can find instructions from XDA developers’s web site
            So if you are in US and you are having the signed error try this:

            1. download Linda file manager from the market if you don’t have it already. Search for Linda
            2. download the new Maps app
            3. Copy the Maps file to your sdcard
            4. Open Linda file manager and navigate to your sdcard and click on the Maps app to install it.

            IF THIS DOESN’T WORK

            5. Open your terminal session and type the following:
            mount /system -o remount,rw
            rm /system/app/Maps.apk
            cp /sdcard/Maps.apk /system/app

            That should delete the Maps app from your phone and replace it with the new Maps app.

            That should work. You should be able to install the standart maps from the market.
            Thanks to mrandroid for the steps.

            I have Cyanogen 4.2.5 on G1

          • David

            Thanks, Lvaylo…worked like a charm! : )

  • Vineares

    This is what I wanted most from 2.0 so if the G1′s end up not getting it 2.0 I won’t be too broken hearted.

  • Julien Lavoie

    Seems there’s no turn by turn nabigation in Canada :(

  • Oscar

    Been using it all day for work, its awesome!

  • Kevin

    I have it installed on my MT3G running Cyannogenmod 4.2.5 and it runs perfectly with “navigate to” voice commands.

  • craig mcrae

    not working for me, install fails because the app is ‘not signed correctly’

  • six41

    mine installed and works fine on cyan 1.6

  • tonystunts

    Unable to install. Says; package not signed correctly. Im on mt3g CM 4.2.5

    • Manny

      Did you get a solution. I am in the same whole as you, please post a solution

      • http://Website namo

        Read his post

        * Ivaylo 11/24/09 at 9:41 am

  • willmsth78

    I have been trying to find it on Marketplace as well scanning the download link. I could not find the app. Any advice from the professionals? I am a newby on Droid. Switched from iPhone.

    • Taylor Wimberly

      Google Maps Navigation comes with the Droid. There is nothing to download because it is already installed.

  • SuperRon

    I really wish they would bring this to the UK as well!

    • msg

      wdf it aint in the UK??!


    • Tony

      there’s a hacked version on xda-developers to enable navigation in any country. I’ve been using it in the UK for nearly a week without any problems.

  • Joey K

    Cant find on android market, MT3G

  • dany

    works perfect on my G!

  • Kevin

    Works great on my G1. Running cyanogenmod 4.2.5, and no problems installing or running.

  • Tom

    I can’t find it either. The Eris Droid was not delivered with it, only with Maps.

    • nEx.Software

      Droid Eris is on Android 1.5. This requires Android 1.6.

  • Mark

    Make sure your My Touch is running Android 1.6. Go to Settings… About Phone, and verify that firmware version is listed as 1.6. If it’s not, call 611…

    If you do, then search the android market for “Google Maps”. It should read “update available”.

  • Miguel

    Got it, thanks! :)

  • Drizzle

    For those having problems installing it from the market, shoot over to xda in the dream development section for the solution. You have to remove the maps version installed and then install maps.apk from your sd card. You can do easily through terminal, adb not even needed. Takes all of 2 min and official google nav up and running.

  • Danny

    Wow..I am so impressed. Definitely not a let down–this bad boy is very very polished. I am sooooooo happy with my MT3G right now. For are fellow friends across the pond–in due time, you will all be enjoying this mates. Hang tight, google navigation is on the way.

  • Maff



    • christian

      soon as you sort out that stuck caps lock key.

    • vpr

      From the Official Google Mobile blog:
      Google Maps Navigation is in beta and is currently available in the United States.

      its quoted in the news.

  • Damo

    Thoes of you outside USA, just install these packages (they are patched to enable navigation outside USA)

    root apk is for thoes with root, no root is for thoes without root.. simple.

  • codethief

    Damn, still for U.S. routes only. According to XDA developers this is just due to a single bit being transferred. If it is changed navigation will work everywhere – which it does in their modified version. I haven’t rooted my phone, though.

    Anyway, the layers feature is still cool, although I don’t understand why they had to nest the menus that heavily. A plain list of all available layers would have been better instead of Menu -> Layers -> … | … | More layers -> Wikipedia | … | My maps -> … | … | …


  • codethief

    I was wrong. The guys over at have developed a NON-ROOT version for the REST OF THE WORLD. Works fine for me so far.
    Direct download:

  • codethief
  • Dave H.

    Love the new Layers feature – and the fact that they updated the icon and changed the app name to simply “Maps”!

  • kenny

    I’m running cyanogen 4.2.5 on the g1. When I go to install this update it tells me “installation failed : this pakage was signed incorectly” (excuse my spelling :-P )

    • kenny

      did above “fix” from Ivaylo and now i get installation error incompatible update…. any ideas?

  • bassbox


    You Sir, are an idiot!

  • kenny

    @bassbox wow very mature of you. Any real help and not just a-hole comment would be nice. Please only comment with any advice

  • Pingback: Android and Me()

  • kenny

    Ok I got it workin now didn’t need to install from market after I entered in code in terminal just exit and reboot. waa-laa maps and navi workin woot!

    • CesarB

      I tried the fix and rebooted and still did not work. Am i supposed write the text in the terminal in a specific way?

  • kenny

    @ceaserb make sure you put su first then hit enter. It’ll ask for root hit allow. Then the code line by line. Don’t forget spaces in between /system and /sdcard at beginning of line and in between Maps.apk and /system in third line.

  • Gary

    Anybody know why I can’t find this on the T-Mobile Android Market?
    I have the G1 with 1.6 Installed.

  • Pingback: Android and Me()

  • jamesj

    Grrrr. Stuck on 1.5 on a moto CLIQ. Please Motorola give us an upgrade, I am starting to get buyers remorse.

  • dudu

    try also Skobbler. it is free and uses the biggest open source maps and community OSM
    It is great app

  • Matthew C. Maez

    Nice post, cool site, keep it up.

  • http://Website MotorolaCANsuckIT

    WHY DID I BUY A BACKFLIP??????????????????????? Stupid Motorola. Just kick in the update already. Seriously how hard is it. You have lost so many customers with your cliq, dext, backflip, etc. Wake the hell up and get us a update you have promised since i bought my phone in march

  • Jae Macnair

    Hey there I am so glad I found your site, I really found you by accident, while I was browsing on Yahoo for something else, Nonetheless I am here now and would just like to say thanks for a remarkable post and a all round exciting blog (I also love the theme/design), I don’t have time to read it all at the minute but I have book-marked it and also included your RSS feeds, so when I have time I will be back to read much more, Please do keep up the great work.